io.etcd.jetcd.api

## Class MemberRemoveResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>
      - - io.etcd.jetcd.api.MemberRemoveResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, MemberRemoveResponseOrBuilder, Cloneable

Enclosing class:
  MemberRemoveResponse

    public static final class MemberRemoveResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>
    implements MemberRemoveResponseOrBuilder

Protobuf type `etcdserverpb.MemberRemoveResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MemberRemoveResponse.Builder` `addAllMembers(Iterable<? extends Member> values)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `addMembers(int index, Member.Builder builderForValue)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `addMembers(int index, Member value)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `addMembers(Member.Builder builderForValue)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `addMembers(Member value)` members is a list of all members after removing the member.
`Member.Builder` `addMembersBuilder()` members is a list of all members after removing the member.
`Member.Builder` `addMembersBuilder(int index)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`MemberRemoveResponse` `build()`
`MemberRemoveResponse` `buildPartial()`
`MemberRemoveResponse.Builder` `clear()`
`MemberRemoveResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`MemberRemoveResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`MemberRemoveResponse.Builder` `clearMembers()` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`MemberRemoveResponse.Builder` `clone()`
`MemberRemoveResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`Member` `getMembers(int index)` members is a list of all members after removing the member.
`Member.Builder` `getMembersBuilder(int index)` members is a list of all members after removing the member.
`List<Member.Builder>` `getMembersBuilderList()` members is a list of all members after removing the member.
`int` `getMembersCount()` members is a list of all members after removing the member.
`List<Member>` `getMembersList()` members is a list of all members after removing the member.
`MemberOrBuilder` `getMembersOrBuilder(int index)` members is a list of all members after removing the member.
`List<? extends MemberOrBuilder>` `getMembersOrBuilderList()` members is a list of all members after removing the member.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`MemberRemoveResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`MemberRemoveResponse.Builder` `mergeFrom(MemberRemoveResponse other)`
`MemberRemoveResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`MemberRemoveResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`MemberRemoveResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`MemberRemoveResponse.Builder` `removeMembers(int index)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`MemberRemoveResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`MemberRemoveResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`MemberRemoveResponse.Builder` `setMembers(int index, Member.Builder builderForValue)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `setMembers(int index, Member value)` members is a list of all members after removing the member.
`MemberRemoveResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`MemberRemoveResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### clear

    public MemberRemoveResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### getDefaultInstanceForType

    public MemberRemoveResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public MemberRemoveResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public MemberRemoveResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public MemberRemoveResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### setField

    public MemberRemoveResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### clearField

    public MemberRemoveResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### clearOneof

    public MemberRemoveResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### setRepeatedField

    public MemberRemoveResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         int index,
                                                         Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### addRepeatedField

    public MemberRemoveResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### mergeFrom

    public MemberRemoveResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<MemberRemoveResponse.Builder>`

#### mergeFrom

    public MemberRemoveResponse.Builder mergeFrom(MemberRemoveResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### mergeFrom

    public MemberRemoveResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<MemberRemoveResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `MemberRemoveResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `MemberRemoveResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public MemberRemoveResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public MemberRemoveResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public MemberRemoveResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public MemberRemoveResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `MemberRemoveResponseOrBuilder`

#### getMembersList

    public List<Member> getMembersList()

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

Specified by:
  `getMembersList` in interface `MemberRemoveResponseOrBuilder`

#### getMembersCount

    public int getMembersCount()

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

Specified by:
  `getMembersCount` in interface `MemberRemoveResponseOrBuilder`

#### getMembers

    public Member getMembers(int index)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

Specified by:
  `getMembers` in interface `MemberRemoveResponseOrBuilder`

#### setMembers

    public MemberRemoveResponse.Builder setMembers(int index,
                                                   Member value)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### setMembers

    public MemberRemoveResponse.Builder setMembers(int index,
                                                   Member.Builder builderForValue)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### addMembers

    public MemberRemoveResponse.Builder addMembers(Member value)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### addMembers

    public MemberRemoveResponse.Builder addMembers(int index,
                                                   Member value)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### addMembers

    public MemberRemoveResponse.Builder addMembers(Member.Builder builderForValue)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### addMembers

    public MemberRemoveResponse.Builder addMembers(int index,
                                                   Member.Builder builderForValue)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### addAllMembers

    public MemberRemoveResponse.Builder addAllMembers(Iterable<? extends Member> values)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### clearMembers

    public MemberRemoveResponse.Builder clearMembers()

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### removeMembers

    public MemberRemoveResponse.Builder removeMembers(int index)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### getMembersBuilder

    public Member.Builder getMembersBuilder(int index)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### getMembersOrBuilder

    public MemberOrBuilder getMembersOrBuilder(int index)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

Specified by:
  `getMembersOrBuilder` in interface `MemberRemoveResponseOrBuilder`

#### getMembersOrBuilderList

    public List<? extends MemberOrBuilder> getMembersOrBuilderList()

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

Specified by:
  `getMembersOrBuilderList` in interface `MemberRemoveResponseOrBuilder`

#### addMembersBuilder

    public Member.Builder addMembersBuilder()

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### addMembersBuilder

    public Member.Builder addMembersBuilder(int index)

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### getMembersBuilderList

    public List<Member.Builder> getMembersBuilderList()

     members is a list of all members after removing the member.

`repeated .etcdserverpb.Member members = 2;`

#### setUnknownFields

    public final MemberRemoveResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`

#### mergeUnknownFields

    public final MemberRemoveResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberRemoveResponse.Builder>`